## gaussianblur gaussianblur — Perform Gaussian blur/sharpen on a video |

## Synopsis

    typedef             GaussBlur;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter
                               +----GaussBlur

## Properties

      "sigma"                    gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | gaudieffects
author | Jan Schmidt <thaytan@noraisin.net>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### GaussBlur

    typedef struct GaussBlur GaussBlur;

## Property Details

### The `"sigma"` property

      "sigma"                    gdouble               : Read / Write

Sigma value for gaussian blur (negative for sharpen).

Allowed values: [-20,20]

Default value: 1.2